Bug 923219 - (CVE-2013-1922) CVE-2013-1922 qemu, qemu-kvm, kvm: qemu-nbd block format auto-detection vulnerability
CVE-2013-1922 qemu, qemu-kvm, kvm: qemu-nbd block format auto-detection vulne...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130415,repor...
: Security
: 923218 (view as bug list)
Depends On: 952574 952576
Blocks: 923224
  Show dependency treegraph
 
Reported: 2013-03-19 09:04 EDT by Jan Lieskovsky
Modified: 2016-04-26 10:25 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Daniel Berrange to correct this problem (3.80 KB, patch)
2013-03-19 09:16 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2013-03-19 09:04:27 EDT
A security flaw was found in the way qemu-nbd, the QEMU Disk Network Block Device server tool of QEMU, performed detection of image formats (the image format has been previously autodetected). A guest operating system administrator could write a header to particular raw disk image format, describing another format than original one for that disk image, leading to scenario in which after restart of that guest, QEMU would detect new format of the image, and could allow the guest to read any file on the host if QEMU was sufficiently privileged.

A different vulnerability that CVE-2008-2004.
Comment 1 Jan Lieskovsky 2013-03-19 09:12:31 EDT
Acknowledgements:

This issue was found by Daniel Berrange of Red Hat.
Comment 3 Jan Lieskovsky 2013-03-19 09:16:28 EDT
Created attachment 712650 [details]
Proposed patch from Daniel Berrange to correct this problem
Comment 5 Jan Lieskovsky 2013-03-19 09:19:48 EDT
Preliminary (might be subject of change yet) embargo date for this issue has been set up to Monday, 15-th of April 2013.
Comment 10 Petr Matousek 2013-04-09 11:26:12 EDT
Statement:

Not vulnerable.

This issue does not affect versions of kvm and xen packages as shipped with Red Hat Enterprise Linux 5. This issue does not affect versions of qemu-kvm packages as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 11 Petr Matousek 2013-04-16 04:53:51 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 952576]
Comment 12 Petr Matousek 2013-04-16 04:53:57 EDT
Created qemu tracking bugs for this issue

Affects: fedora-all [bug 952574]
Comment 13 Fedora Update System 2013-04-25 10:17:54 EDT
qemu-1.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-04-25 20:54:29 EDT
qemu-1.2.2-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-04-29 23:34:46 EDT
qemu-1.0.1-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.